import type { AppRouteModule } from '@/router/types';
import { getParentLayout, LAYOUT } from '@/router/constant';
import { t } from '@/hooks/web/useI18n';

const dust: AppRouteModule = {
  path: '/dust',
  name: 'Dust',
  component: LAYOUT,
  redirect: '/dust/index',
  meta: {
    orderNo: 500,
    icon: 'ion:fire-outline',
    title: t('routes.vent.dust.dust'),
  },
  children: [
    {
      path: 'dust-home',
      name: 'dustHome',
      meta: {
        title: t('routes.vent.dust.home'),
      },
      component: () => import('@/views/vent/dust/dustHome/index.vue'),
    },

    {
      path: 'dust-warnAnalysis',
      name: 'dustWarnAnalysis',
      meta: {
        title: t('routes.vent.dust.dustWarnAnalysis'),
      },
      component: () => import('@/views/vent/dust/dustWarnAnalysis/index.vue'),
    },
    {
      path: 'dust-atomizing',
      name: 'dustAtomizing',
      meta: {
        title: t('routes.vent.dust.dustAtomizing'),
      },
      component: () => import('@/views/vent/dust/dustAtomizing/index.vue'),
    },
    {
      path: 'dust-record',
      name: 'dustRecord',
      meta: {
        title: t('routes.vent.dust.dustRecord'),
      },
      component: () => import('@/views/vent/dust/warnRecordDust/index.vue'),
    },
  ],
};

export default dust;
