
import { reactive } from 'vue';
import { BasicColumn, FormSchema } from '/@/components/Table';
//table 列
export const columns = reactive<any[]>([
  {
    title: '序号',
    width: 60,
    align: 'center',
    customRender: ({ index }: { index: number }) => `${index + 1}`
  },
  {
    title: '设备名称',
    dataIndex: 'deviceName',
    key: 'deviceName',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '安装位置',
    dataIndex: 'location',
    key: 'location',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '喷雾状态',
    dataIndex: 'stateSpray',
    key: 'stateSpray',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '链接状态',
    dataIndex: 'stateConn',
    key: 'stateConn',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '设备状态',
    dataIndex: 'deviceState',
    key: 'deviceState',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '使用状态',
    dataIndex: 'stateEnable',
    key: 'stateEnable',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '控制状态',
    dataIndex: 'stateManual',
    key: 'stateManual',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '粉尘浓度',
    dataIndex: 'dust',
    key: 'dust',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '电池电量',
    dataIndex: 'batteryLevel',
    key: 'batteryLevel',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '是否定时',
    dataIndex: 'timingSwitch',
    key: 'timingSwitch',
    width: 100,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '时间',
    dataIndex: 'time',
    key: 'time',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '操作',
    key: 'action',
    width: 300,
    slots: { customRender: 'action' },
    align: 'center',
  },
])