import { reactive } from 'vue';
import { BasicColumn, FormSchema } from '/@/components/Table';
export const  columns = reactive<any[]>([
  {
    title: '序号',
    width: 60,
    align: 'center',
    customRender: ({ index }: { index: number }) => `${index + 1}`
  },
  {
    title: '预警区域名称',
    dataIndex: 'areaName',
    key: 'areaName',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '预警等级',
    dataIndex: 'warnLevel_dictText',
    key: 'warnLevel_dictText',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '灾害类型',
    dataIndex: 'zhType',
    key: 'zhType',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '是否联控',
    dataIndex: 'isLk',
    key: 'isLk',
    align: 'center',
    ellipsis: true,
  },
  {
    title: '预警产生原因',
    dataIndex: 'remarks',
    key: 'remarks',
    width: 200,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '给出的预警建议',
    dataIndex: 'suggestMsg',
    key: 'suggestMsg',
    width: 200,
    align: 'center',
    ellipsis: true,
  },
  {
    title: '预警时间',
    dataIndex: 'startTime',
    key: 'startTime',
    align: 'center',
    ellipsis: true,
  },

  {
    title: '操作',
    key: 'action',
    width: 150,
    slots: { customRender: 'action' },
    align: 'center',
  },
])